Skip to main content
`Ctrl`+`K`

# PetscHMapIFind

Query for key in the hash table

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapIFind(PetscHMapI ht, PetscInt key, PetscHashIter *iter, PetscBool *found)

## Input Parameters

- ht - The hash table

- key - The key

## Output Parameters

- iter - Iterator referencing the value for key

- found - Boolean indicating whether the key was present

## See Also

`PetscHMapIIterGet()`, `PetscHMapIIterDel()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

## Examples

src/dm/impls/plex/tutorials/ex19.c
src/dm/impls/plex/tutorials/ex18.c

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages